curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.google.com/maps/place/Neir'\''s+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D","days_limit":18}]}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_luzfs1dn2oa0teb81¬ify=false&include_errors=true"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_luzfs1dn2oa0teb81",
"notify": "false",
"include_errors": "true",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.google.com/maps/place/Neir's+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D",
"days_limit": 18
}
]
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_luzfs1dn2oa0teb81",
notify: "false",
include_errors: "true",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.google.com/maps/place/Neir's+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D",
days_limit: 18
}
]
}),
});
console.log(await response.text());
[
{
"url": "https://www.google.com/maps/place/?q=place_id:ChIJibGCxZVZwokR6Nv6NWFWQRg",
"place_id": "ChIJibGCxZVZwokR6Nv6NWFWQRg",
"place_name": "Mira Mediterranean & Hookah Lounge",
"country": "US",
"address": "206 E 34th St, New York, NY 10016, United States",
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT2tKRWNtUndMVlprZVdSMVdUYzRjRGxXUTFOcVlYYxAB",
"reviews_by_reviewer": 4,
"local_guide": false,
"review_rating": 5,
"review": "Best experience I have ever got In New York City ! Hands Down !!",
"review_date": "2026-04-11T00:58:38.393Z",
"number_of_likes": 0,
"response_of_owner": null,
"review_details": [
{
"title": "Food",
"value": "5"
},
{
"title": "Service",
"value": "5"
},
{
"title": "Atmosphere",
"value": "5"
}
],
"place_general_rating": 4.9,
"overall_place_riviews": 5475,
"category": "mediterranean_restaurant",
"cid": "1747773105913912296"
}
]
Google
Scrape Google Maps reviews by URL
Use the Bright Data Scraper API to collect Google Maps reviews by URL. POST /datasets/v3/scrape returns structured review records as JSON.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.google.com/maps/place/Neir'\''s+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D","days_limit":18}]}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_luzfs1dn2oa0teb81¬ify=false&include_errors=true"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_luzfs1dn2oa0teb81",
"notify": "false",
"include_errors": "true",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.google.com/maps/place/Neir's+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D",
"days_limit": 18
}
]
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_luzfs1dn2oa0teb81",
notify: "false",
include_errors: "true",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.google.com/maps/place/Neir's+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D",
days_limit: 18
}
]
}),
});
console.log(await response.text());
[
{
"url": "https://www.google.com/maps/place/?q=place_id:ChIJibGCxZVZwokR6Nv6NWFWQRg",
"place_id": "ChIJibGCxZVZwokR6Nv6NWFWQRg",
"place_name": "Mira Mediterranean & Hookah Lounge",
"country": "US",
"address": "206 E 34th St, New York, NY 10016, United States",
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT2tKRWNtUndMVlprZVdSMVdUYzRjRGxXUTFOcVlYYxAB",
"reviews_by_reviewer": 4,
"local_guide": false,
"review_rating": 5,
"review": "Best experience I have ever got In New York City ! Hands Down !!",
"review_date": "2026-04-11T00:58:38.393Z",
"number_of_likes": 0,
"response_of_owner": null,
"review_details": [
{
"title": "Food",
"value": "5"
},
{
"title": "Service",
"value": "5"
},
{
"title": "Atmosphere",
"value": "5"
}
],
"place_general_rating": 4.9,
"overall_place_riviews": 5475,
"category": "mediterranean_restaurant",
"cid": "1747773105913912296"
}
]
Query Parameters
string
default:"gd_luzfs1dn2oa0teb81"
required
The dataset ID used for this request.
Must be set to
gd_luzfs1dn2oa0teb81 to collect Google Maps reviews by URL.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
string
required
The full URL of the Google Maps business whose reviews you want.
number
Number of days to collect reviews for, counting back from today. Omit it to collect every review.
string
Review order:
Most relevant, Newest, Highest rating or Lowest rating. Ignored when days_limit is set; the order is then newest first.Example
{
"input": [
{
"url": "https://www.google.com/maps/place/Neir's+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D",
"days_limit": 18
}
]
}
Reviews are billed per review. Add
limit_per_input to the request body to cap how many reviews each place returns.curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.google.com/maps/place/Neir'\''s+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D","days_limit":18}]}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_luzfs1dn2oa0teb81¬ify=false&include_errors=true"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_luzfs1dn2oa0teb81",
"notify": "false",
"include_errors": "true",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.google.com/maps/place/Neir's+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D",
"days_limit": 18
}
]
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_luzfs1dn2oa0teb81",
notify: "false",
include_errors: "true",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.google.com/maps/place/Neir's+Tavern/@40.6945215,-73.8586497,15.17z/data=!4m15!1m8!3m7!1s0x89c24fa5d33f083b:0xc80b8f06e177fe62!2sNew+York,+NY,+USA!3b1!8m2!3d40.7127753!4d-74.0059728!16zL20vMDJfMjg2!3m5!1s0x89c25de7c769a68f:0x9274d5e2d678949b!8m2!3d40.6898112!4d-73.8635147!16s%2Fm%2F0127pr0c?authuser=0&entry=ttu&g_ep=EgoyMDI2MDMxNS4wIKXMDSoASAFQAw%3D%3D",
days_limit: 18
}
]
}),
});
console.log(await response.text());
[
{
"url": "https://www.google.com/maps/place/?q=place_id:ChIJibGCxZVZwokR6Nv6NWFWQRg",
"place_id": "ChIJibGCxZVZwokR6Nv6NWFWQRg",
"place_name": "Mira Mediterranean & Hookah Lounge",
"country": "US",
"address": "206 E 34th St, New York, NY 10016, United States",
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT2tKRWNtUndMVlprZVdSMVdUYzRjRGxXUTFOcVlYYxAB",
"reviews_by_reviewer": 4,
"local_guide": false,
"review_rating": 5,
"review": "Best experience I have ever got In New York City ! Hands Down !!",
"review_date": "2026-04-11T00:58:38.393Z",
"number_of_likes": 0,
"response_of_owner": null,
"review_details": [
{
"title": "Food",
"value": "5"
},
{
"title": "Service",
"value": "5"
},
{
"title": "Atmosphere",
"value": "5"
}
],
"place_general_rating": 4.9,
"overall_place_riviews": 5475,
"category": "mediterranean_restaurant",
"cid": "1747773105913912296"
}
]
Was this page helpful?